Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.compoze.collab.beacm
Enum DefaultEntitlementsListener.Capability

    java.lang.Object
      java.lang.Enum<DefaultEntitlementsListener.Capability>
          com.compoze.collab.beacm.DefaultEntitlementsListener.Capability

All Implemented Interfaces
  Serializable, Comparable<DefaultEntitlementsListener.Capability>

Enclosing class:
  DefaultEntitlementsListener

    public static enum DefaultEntitlementsListener.Capability

extends Enum<DefaultEntitlementsListener.Capability>

Enum Constant Summary
`CREATE`
`DELETE`
`INSTANTIATE`
`UPDATE`
`VIEW`

Method Summary
`static DefaultEntitlementsListener.Capability` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DefaultEntitlementsListener.Capability[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### VIEW

    public static final DefaultEntitlementsListener.Capability VIEW

### UPDATE

    public static final DefaultEntitlementsListener.Capability UPDATE

### CREATE

    public static final DefaultEntitlementsListener.Capability CREATE

### DELETE

    public static final DefaultEntitlementsListener.Capability DELETE

### INSTANTIATE

    public static final DefaultEntitlementsListener.Capability INSTANTIATE

Method Detail

### values

    public static final DefaultEntitlementsListener.Capability[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static DefaultEntitlementsListener.Capability valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved